<?php include_once ("../inc/config.inc.php") ?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_date.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php include ("../inc/func_txt.inc.php") ?>
<?php require ("../inc/fic.inc.php") ?>
<?php require_once ("../classes/xpm/smtp.php"); ?>
<?php require ("../inc/mail.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	 	// Variables Formulaire
		$titre = strip_tags(trim(@$_POST["titre"]));
		$typdde = strip_tags(trim(@$_POST["typdde"]));

		$datecrea = datefrang(strip_tags(trim(@$_POST["datecreaf"])));
		$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
		$codecli = str_majuscules(strip_tags(trim(@$_POST["codecli"])));
		$codeage = str_majuscules(strip_tags(trim(@$_POST["codeage"])));
		$rnum = str_majuscules(strip_tags(trim(@$_POST["rnum"])));
		$num = str_majuscules(strip_tags(trim(@$_POST["num"])));
		$nota = strip_tags(trim(@$_POST["nota"]));

		$codeuser = @$HTTP_SESSION_VARS["code_log"];

		$retourliste = TRUE;

		if (strip_tags(trim(@$_POST["enrimp"])) == "Enregistrer & Imprimer")
		{
			$imprim = TRUE;
			$retourliste = FALSE;
		}

		if ($typdde == "add")
		{
			$coder = crecode("R");

			// Ajout de la fiche Relevé
		
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "INSERT INTO " .TBREL;
			$rech.= " (rel_datecrea,rel_codecrea,rel_datemod,rel_codemod,rel_code,rel_codecli,rel_codeage,";
			$rech.= "rel_rnum,rel_num,rel_nota)";
			$rech.= " VALUES";
			$rech.= " ('$datecrea','$codeuser','$datea','$codeuser','$coder','$codecli','$codeage',";
			$rech.= "'$rnum','$num','$nota')";
			$rs = mysql_query($rech) or die(mysql_error());

			// MAJ de la fiche Client (pour rendre l'agence ayant effectué le relevé "propriétaire" du client)
			$rech2 = "UPDATE `" .TBCLI. "` SET `cli_datemod`='".$datea."', `cli_codemod`='".$codeuser."', `cli_prop`='".$codeage."'  WHERE `cli_code` = '".$codecli."'";
			$rs2 = mysql_query($rech2) or die(mysql_error());
	

			mysql_close($conn);

			$msg = "Fiche enregistrée avec succès !";			

			// Envoi d'email vers le client
			envoi_mail("Création de votre dossier de relevé de parc","rel","cre","xxx","cli",$coder,"","",FALSE);
			// Envoi d'email vers l'agence
			if (@$HTTP_SESSION_VARS["niv_log"] <> 4)
				envoi_mail("Création de dossier relevé de parc","rel","cre","xxx","age",$coder,"","",FALSE);
			// Envoi d'email vers le centre de gestion
			envoi_mail("Création de dossier de relevé de parc","rel","cre","xxx","cdg",$coder,"","",TRUE);

		}

		if ($typdde == "edit")
		{
			// MAJ de la fiche relevé
		
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "UPDATE `" .TBREL;
			$rech .= "` SET `rel_datemod`='".$datea."', `rel_codemod`='".$codeuser."',`rel_code`='".$code."', `rel_codecli`='".$codecli."', `rel_codeage`='".$codeage."',";
			$rech .=" `rel_rnum`='".$rnum."', `rel_num`='".$num."', `rel_nota`='".$nota."'";
			$rech .=" WHERE `rel_code` = '".$code."'";
			$rs = mysql_query($rech) or die(mysql_error());
			mysql_close($conn);

			$msg = "Fiche modifiée avec succès !";

			// Envoi d'email vers le client
			envoi_mail("Modification de votre dossier de relevé de parc","rel","mod","xxx","cli",$code,"","",FALSE);
			// Envoi d'email vers l'agence
			if (@$HTTP_SESSION_VARS["niv_log"] <> 4)
				envoi_mail("Modification de dossier de relevé de parc","rel","mod","xxx","age",$code,"","",FALSE);
			// Envoi d'email vers le centre de gestion
			envoi_mail("Modification de dossier de relevé de parc","rel","mod","xxx","cdg",$code,"","",TRUE);

		}

		if ($typdde == "del")
		{
			$ok_del = TRUE;
			
			$exist_rel_in_rlic = exist_rel_in_rlic($code);
			if ($exist_rel_in_rlic == TRUE)
			{
				$ok_del = FALSE;
				$retourliste = FALSE;
				$msg = "Ce dossier relevé contient des fiches de relevés licences. Supprimez-les.";
			}
			
			$exist_rel_in_rpdt = exist_rel_in_rpdt($code);
			if ($exist_rel_in_rpdt == TRUE)
			{
				$ok_del = FALSE;
				$retourliste = FALSE;
				if ($msg == "")
					$msg = "Ce dossier relevé contient des fiches de relevés matériels. Supprimez-les.";
				else
					$msg .= "<br><br>Ce dossier relevé contient des fiches de relevés matériels. Supprimez-les.";
			}
			
			if ($ok_del == TRUE)
			{
				// SUPPRESSION de la fiche Relevé
				
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
				$rech = "DELETE FROM `" .TBREL. "` WHERE `rel_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
				mysql_close($conn);
				$msg = "Fiche supprimée avec succès !";
			}
		}

?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Fiche Dossier Relev&eacute;</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

<!-- Affichage nouvelle fenêtre pour impression -->
<script type="text/javascript">
	function lanceimp(page)
	{
	  window.open(page,'impression','width='+screen.width+' height='+screen.height);
	}
</script>

</head>
</body>

<?php 
	include_once ("entete.php"); 
?>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>
<?PHP if ($retourliste == FALSE) 
{ 
	if ($imprim == TRUE)
	{
		if ($td == "add")
			$urlimp = "rel_pdf.php?code=".$codeco;
		else
			$urlimp = "rel_pdf.php?code=".$code;
?>
	<p align="center">
    <a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp; ?>');")><img src="../img/print.gif" title="Imprimer le contrat" width="22" height="22" border="0" align="absmiddle"></a> 
		<a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp; ?>');")> Imprimer le contrat </a></div>
	</p>
<?PHP
	}
?>
<br>
<br>
	<table width="100%"  border="0">
	  <tr>
		<td width="3%">&nbsp;</td>
		<td width="44%"><div align="right"><a href="rel_lst.php"><img src="../img/liste.gif" width="33" height="34" border="0" align="absmiddle"></a> <a href="rel_lst.php" class="annot_gras_it">Retour &agrave; la liste</a></div></td>
		<td width="7%">&nbsp;</td>
		<td width="43%"><a href="index.php"><em><img src="../img/index.gif" width="48" height="48" border="0" align="absmiddle"> </em><span class="annot_gras_it">Revenir &agrave; l'accueil</span> </a></td>
		<td width="3%">&nbsp;</td>
	  </tr>
	</table>
<?PHP 
} 
else 
{
?>
	<script type="text/javascript">
	window.setTimeout("location=('rel_lst.php');",2000)
	</script>
	<p align="center" class="annot_std_it">Retour à la liste dans 2 secondes...</p>
<?PHP
}
?>
